DECLARE @PR棜楌No int
DECLARE @彜昳No int
DECLARE @屭媞No int
DECLARE @搊榐僗僞僢僼No int
DECLARE @峀崘No int
DECLARE @僾儘儌乕僔儑儞梊掕No int
DECLARE @僾儘儌乕僔儑儞幚愌No int
DECLARE @PR嬫暘No int
DECLARE @憤旓梡 int
DECLARE @懳徾彜昳憤悢 int
DECLARE @懳徾婛懚屭媞憤悢 int
DECLARE @桳岠擔悢撪偺憤攧忋 int
DECLARE @怴婯屭媞妉摼悢 int
DECLARE @尒崬屭媞妉摼悢 int
DECLARE @孈婲偟屭媞悢 int
DECLARE @峏怴僗僞僢僼No int
DECLARE @PR柤 varchar
DECLARE @撪梕 varchar
DECLARE @旛峫 varchar
DECLARE @岞奐梊掕擔 datetime
DECLARE @岞奐幚巤擔 datetime
DECLARE @梊掕婜娫fr datetime
DECLARE @梊掕婜娫to datetime
DECLARE @岞奐梊掕擔fr datetime
DECLARE @岞奐梊掕擔to datetime
DECLARE @岞奐幚巤擔fr datetime
DECLARE @岞奐幚巤擔to datetime
DECLARE @幚巤婜娫fr datetime
DECLARE @幚巤婜娫to datetime
DECLARE @媥柊懳徾擔 datetime
DECLARE @斕攧擔帪fr datetime
DECLARE @斕攧擔帪to datetime

SET @PR棜楌No = 1
SET @彜昳No = 1
SET @屭媞No = 1
SET @搊榐僗僞僢僼No = 1
SET @峀崘No = 1
SET @僾儘儌乕僔儑儞梊掕No = 1
SET @僾儘儌乕僔儑儞幚愌No = 1
SET @PR嬫暘No = 1
SET @憤旓梡 = 1
SET @懳徾彜昳憤悢 = 1
SET @懳徾婛懚屭媞憤悢 = 1
SET @桳岠擔悢撪偺憤攧忋 = 1
SET @怴婯屭媞妉摼悢 = 1
SET @尒崬屭媞妉摼悢 = 1
SET @孈婲偟屭媞悢 = 1
SET @峏怴僗僞僢僼No = 1
SET @PR柤 = 'a'
SET @撪梕 = 'a'
SET @旛峫 = 'a'
SET @岞奐梊掕擔 = '2002/1/11'
SET @岞奐幚巤擔 = '2002/1/11'
SET @幚巤婜娫fr = '2002/1/11'
SET @幚巤婜娫to = '2003/7/11'
SET @媥柊懳徾擔 = '2001/7/15'
SET @梊掕婜娫fr = '2001/7/15'
SET @梊掕婜娫to = '2001/7/15'
SET @岞奐梊掕擔fr = '2002/1/11'
SET @岞奐梊掕擔to = '2002/1/11'
SET @岞奐幚巤擔fr = '2002/1/11'
SET @岞奐幚巤擔to = '2002/1/11'
SET @斕攧擔帪fr = '2002/1/11'
SET @斕攧擔帪to = '2002/1/11'



---- Fill
--SELECT DISTINCT
--	  M03屭媞.屭媞No
--	, M03屭媞.屭媞ID
--	, M03屭媞.巵柤
--	, M03屭媞.巵柤僇僫
--	, M01屌掕懏惈.抣 AS 惈暿
--	, M03屭媞.惗擭寧擔
--	, M03屭媞.梄曋斣崋
--	, M03屭媞.廧強
--	, M03屭媞.TEL
--	, M03屭媞.儊乕儖傾僪儗僗
--FROM
--	M01屌掕懏惈 INNER JOIN
--	M03屭媞 ON M01屌掕懏惈.屌掕懏惈No = M03屭媞.惈暿 RIGHT OUTER JOIN
--	H02僐儞僞僋僩棜楌 ON M03屭媞.屭媞No = H02僐儞僞僋僩棜楌.屭媞No
--WHERE
--	H02僐儞僞僋僩棜楌.慻怐No = @慻怐No AND
--	@幚巤婜娫fr < H02僐儞僞僋僩棜楌.僐儞僞僋僩擔帪 AND
--	H02僐儞僞僋僩棜楌.僐儞僞僋僩擔帪 < @幚巤婜娫to AND
--	M03屭媞.屭媞No NOT IN
--	(
--		SELECT
--			屭媞No
--		FROM
--			H01斕攧棜楌
--		WHERE
--			慻怐No = @慻怐No
--	)
SELECT DISTINCT 
	M03屭媞.屭媞No,
	M03屭媞.屭媞ID,
	M03屭媞.巵柤,
	M03屭媞.巵柤僇僫, 
	M04懏惈.抣 AS 惈暿,
	M03屭媞.惗擭寧擔,
	M03屭媞.梄曋斣崋,
	M03屭媞.廧強, 
	M03屭媞.TEL,
	M03屭媞.儊乕儖傾僪儗僗
FROM
	M04懏惈 INNER JOIN
	M03屭媞 ON M04懏惈.懏惈No = M03屭媞.惈暿 RIGHT OUTER JOIN
	H02僐儞僞僋僩棜楌 ON M03屭媞.屭媞No = H02僐儞僞僋僩棜楌.屭媞No
WHERE
	@幚巤婜娫fr < H02僐儞僞僋僩棜楌.僐儞僞僋僩擔帪 AND 
	H02僐儞僞僋僩棜楌.僐儞僞僋僩擔帪 < @幚巤婜娫to AND 
	M03屭媞.屭媞No NOT IN
	(
		SELECT
			屭媞No
		FROM
			H01斕攧棜楌
	)
